Description

Cuando creamos un campo Double o Decimal nuevo (en el doble incluso con "Precision” 2) y lo rellenamos con la calculadora de
campos con una division entre dos campos Integer, el resultado es un entero con ceros en los decimales. Redondea al entero
inferior.

Adjunto capa, donde los dos Ultimos campos son los que he creado dividiendo los campos Poblacion/Area_km2

Associated revisions

Revision 46901 - 12/21/2022 10:31 AM - Joaquin del Cerro Murciano

refs #5520, afiadida sugerencia de division entera y correccion en la division de bigdecimal en el evaluador de expresiones

History

#1 - 01/19/2023 07:34 PM - Joaquin del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.0-3302
- Assignee set to Joaquin del Cerro Murciano

- Status changed from New to Fixed

Esto no es un error, es una caracteristica de java, la division de dos enteros es un entero. Para que dé el resultado que se espera, debe aplicarse a
alguno de los dos valores la conversion a double o float. O sea, por ejemplo para calcular la densidad a partir de dos valores enteros la férmula
deberia ser algo asi: TODOUBLE/Area_kma2.

Se ha anadido que cuando el constructor de expresiones detecte que se introducido una expresion en la que se dividan dos enteros (no siempre

puede hacerlo) le presente una sugerencia al usuario indicando que tal vez deberia convertir uno de los operandos a un valor decimal.

#2 - 08/03/2023 02:17 PM - Alvaro Anguix
- Status changed from Fixed to Closed
